gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A base class for input method contexts.
- Constructor
  2.12.0.0
  Protected Constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gdk.Window Set the client window for the input context; this is the in which the input appears. a The client window is used in order to correctly position status windows. It may also be used for purposes internal to the input method.
- Event
  2.12.0.0
  GLib.Signal("commit")
  Gtk.CommitHandler Commit text event. The event is emitted when the input method has processed all the keystrokes for an individual text element, including pre-edit keystrokes. The resulting text is located in
- Property
  2.12.0.0
  Gdk.Rectangle Notify the input method that a change in cursor position has been made. a The location is relative to the client window.
- Method
  2.12.0.0
  System.Boolean `` `` a a Asks the widget that the input context is attached to to delete characters around the cursor position by emitting the signal. a , if the signal was handled.

  Note that and are in characters not in bytes, which differs from the usage other places in .

  In order to use this function, you should first call to get the current context, and call this function immediately afterwards to make sure that you know what you are deleting. You should also account for the fact that even if the signal was handled, the input context might not have deleted all the characters that were requested to be deleted.

  This function is used by an input method that wants to make subsitutions in the existing text in response to new input. It is not useful for applications.

- Method
  2.12.0.0
  System.Boolean `` a representing a key press. Allow an input method to handle a . if the keypress was handled. If the method returns , no further processing should be done for .
- Method
  2.12.0.0
  System.Void Notify the input method that the widget to which this input context corresponds has gained focus. The input method may, for example, change the displayed feedback to reflect this change.
- Method
  2.12.0.0
  System.Void Notify the input method that the widget to which this input context corresponds has lost focus. The input method may, for example, change the displayed feedback or reset the contexts state to reflect this change.
- Method
  2.12.0.0
  System.Void `` `` `` a , a location to store , the retrieved string. a , location to store the retrieved attribute list. To be added. Retrieve the current preedit string for the input context and a list of attributes to apply to the string. This string should be displayed inserted at the insertion point.
- Method
  2.12.0.0
  System.Boolean `` `` a a Gets the context around the insertion point. a

  Input methods typically want context in order to constrain input text based on existing text; this is important for languages such as Thai where only some sequences of characters are allowed.

  This function is implemented by emitting the event on the input method; in response to this signal, a widget should provide as much context as is available, up to an entire paragraph, by calling . Note that there is no obligation for a widget to respond to the signal, so input methods must be prepared to function without context.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCommit", Type=typeof(Gtk.IMContext))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePreeditChanged", Type=typeof(Gtk.IMContext))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePreeditEnd", Type=typeof(Gtk.IMContext))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePreeditStart", Type=typeof(Gtk.IMContext))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRetrieveSurrounding", Type=typeof(Gtk.IMContext))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSurroundingDeleted", Type=typeof(Gtk.IMContext))
  System.Boolean `` `` a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Event
  2.12.0.0
  GLib.Signal("preedit_changed")
  System.EventHandler Event raised when the preedit string is changed.
- Event
  2.12.0.0
  GLib.Signal("preedit_end")
  System.EventHandler Event raised when pre-editing is completed.
- Event
  2.12.0.0
  GLib.Signal("preedit_start")
  System.EventHandler Event raised when pre-editing is started.
- Method
  2.12.0.0
  System.Void Resets the state of the input method. Call this method if, for example, a change in cursor position has occurred. The reset clears any existing pre-edit state.
- Event
  2.12.0.0
  GLib.Signal("retrieve_surrounding")
  Gtk.RetrieveSurroundingHandler Event raised when the input method requires the context surrounding the cursor.
- Method
  2.12.0.0
  System.Void `` `` a a Sets surrounding context around the insertion point and preedit string. This function is expected to be called in response to the event, and it will likely have no effect if called at other times.
- Event
  2.12.0.0
  GLib.Signal("delete_surrounding")
  Gtk.SurroundingDeletedHandler Event raised when the input method needs to delete the context text.
- Property
  2.12.0.0
  System.Boolean Whether the IM context should use the preedit string to display feedback. a If is (default is ), then the IM context may use some other method to display feedback, such as displaying it in a child of the root window.